Subject: Re: bug#60264: 29.0.60; Strange file completion candidates for shadowed file paths

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Dec 2022 09:13:46 +0200

> From: Daniel Mendler <[email-masked]>
> Date: Thu, 22 Dec 2022 21:57:39 +0100
> 
> 1. Start emacs -Q
> 2. C-x C-f
> 3. Delete the entire minibuffer input
> 4. Enter /etc//s
> 5. Press ?
> 
> You will see candidates like etc//sbin/. The candidates can get even
> stranger. If you enter /etc//etc//etc/s then you will get candidates
> like etc//etc//etc//sbin/. I can reproduce this bug on 27 and 29. I
> haven't tried 28, but the issue should exist there too.

I don't think it's a bug (look at what the minibuffer shows in those
cases), perhaps just a minor aesthetic thing, but I'm adding Stefan in
case he has comments.